## org.apache.poi.hwpf.converter
Class TextDocumentFacade

    java.lang.Object
      org.apache.poi.hwpf.converter.TextDocumentFacade

    @Beta
    public class TextDocumentFacade

extends java.lang.Object

Field Summary
`protected org.w3c.dom.Element` `body`
`protected org.w3c.dom.Document` `document`
`protected org.w3c.dom.Element` `head`
`protected org.w3c.dom.Element` `root`
`protected org.w3c.dom.Element` `title`
`protected org.w3c.dom.Text` `titleText`

Constructor Summary
`TextDocumentFacade(org.w3c.dom.Document document)`

Method Summary
`void` `addAuthor(java.lang.String value)`
`void` `addDescription(java.lang.String value)`
`void` `addKeywords(java.lang.String value)`
`void` `addMeta(java.lang.String name, java.lang.String value)`
`org.w3c.dom.Element` `createBlock()`
`org.w3c.dom.Element` `createHeader1()`
`org.w3c.dom.Element` `createHeader2()`
`org.w3c.dom.Element` `createParagraph()`
`org.w3c.dom.Element` `createTable()`
`org.w3c.dom.Element` `createTableBody()`
`org.w3c.dom.Element` `createTableCell()`
`org.w3c.dom.Element` `createTableRow()`
`org.w3c.dom.Text` `createText(java.lang.String data)`
`org.w3c.dom.Element` `createUnorderedList()`
`org.w3c.dom.Element` `getBody()`
`org.w3c.dom.Document` `getDocument()`
`org.w3c.dom.Element` `getHead()`
`java.lang.String` `getTitle()`
`void` `setTitle(java.lang.String titleText)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### body

    protected final org.w3c.dom.Element body

### document

    protected final org.w3c.dom.Document document

### head

    protected final org.w3c.dom.Element head

### root

    protected final org.w3c.dom.Element root

### title

    protected org.w3c.dom.Element title

### titleText

    protected org.w3c.dom.Text titleText

Constructor Detail

### TextDocumentFacade

    public TextDocumentFacade(org.w3c.dom.Document document)

Method Detail

### addAuthor

    public void addAuthor(java.lang.String value)

### addDescription

    public void addDescription(java.lang.String value)

### addKeywords

    public void addKeywords(java.lang.String value)

### addMeta

    public void addMeta(java.lang.String name,
                        java.lang.String value)

### createBlock

    public org.w3c.dom.Element createBlock()

### createHeader1

    public org.w3c.dom.Element createHeader1()

### createHeader2

    public org.w3c.dom.Element createHeader2()

### createParagraph

    public org.w3c.dom.Element createParagraph()

### createTable

    public org.w3c.dom.Element createTable()

### createTableBody

    public org.w3c.dom.Element createTableBody()

### createTableCell

    public org.w3c.dom.Element createTableCell()

### createTableRow

    public org.w3c.dom.Element createTableRow()

### createText

    public org.w3c.dom.Text createText(java.lang.String data)

### createUnorderedList

    public org.w3c.dom.Element createUnorderedList()

### getBody

    public org.w3c.dom.Element getBody()

### getDocument

    public org.w3c.dom.Document getDocument()

### getHead

    public org.w3c.dom.Element getHead()

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String titleText)

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.